ON_Sum Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_math.h>`

## Public Member Functions

void | operator= (double x)
void | operator+= (double x)
void | operator-= (double x)
| ON_Sum ()
void | Begin (double starting_value=0.0)
void | Plus (double x)
double | Total (double *error_estimate=NULL)
int | SummandCount () const

## Detailed Description

Definition at line 30 of file opennurbs_math.h.

## Constructor & Destructor Documentation

## ON_Sum()

ON_Sum::ON_Sum | ( |  | ) |

## Member Function Documentation

## Begin()

void ON_Sum::Begin | ( | double | starting_value = `0.0` | ) |

## operator+=()

void ON_Sum::operator+= | ( | double | x | ) |

## operator-=()

void ON_Sum::operator-= | ( | double | x | ) |

## operator=()

void ON_Sum::operator= | ( | double | x | ) |

## Plus()

void ON_Sum::Plus | ( | double | x | ) |

## SummandCount()

int ON_Sum::SummandCount | ( |  | ) | const

## Total()

double ON_Sum::Total | ( | double * | error_estimate = `NULL` | ) |

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_math.h